#!/bin/bash

if [ `whoami` != "root" ]; then
	echo 'Run this script as root. Exiting'
	exit 1
fi

echo "Installing R environment."
if [ `uname -o` == "GNU/Linux" ]; then
    aptitude install wget r-base-core r-base-dev
else
    yum -y install wget R-core R-devel
fi

echo "Installing ProfileGenerator & Evaluator."
#katalog dla PD i Evaluatora
PG_DIR="/usr/local/src/profilegenerator"
mkdir $PG_DIR

#skopiowanie skryptów
cp *.r $PG_DIR/
cp version $PG_DIR/
cp update_pg.sh $PG_DIR/
cp remove_pg.sh $PG_DIR/

chmod +x $PG_DIR/*.r
chmod +x $PG_DIR/*.sh

#linki
ln -s $PG_DIR/ad_profilegenerator.r /bin/profilegenerator
ln -s $PG_DIR/ad_evaluator.r /bin/evaluator

echo "Configuring R environment."

echo "#!/usr/bin/Rscript --vanilla
install.packages('getopt')
install.packages('quadprog')
install.packages('zoo')
install.packages('tseries')" > r_conf.r
chmod +x r_conf.r
./r_conf.r
rm r_conf.r

echo "To update ProfileGenerator & Evaluator type:
$PG_DIR/update_pg.sh script."
echo "To remove ProfileGenerator & Evaluator type:
$PG_DIR/remove_pg.sh script."
echo "Done."

